#include <bits/stdc++.h>

using namespace std;

#define MAXN 1000010
#define MOD 1000000007

long long n;
long long x[MAXN];
long long y[MAXN];

int main()
{
    cin>>n;
    for (long long i=1;i<=n;i++) cin>>x[i]>>y[i];
    vector<long long> xx;
    vector<long long> yy;
    for (long long i=1;i<=n;i++)
    {
        xx.push_back(x[i]);
        yy.push_back(y[i]);
        if (i==1) cout<<0<<endl;
        else
        {
            long long br=0;
            for (long long i1=0;i1<i;i1++)
            {
                for (long long i2=0;i2<i;i2++)
                {
                    long long xxx=xx[i1];
                    long long yyy=yy[i2];
                    long long brr=0;
                    for (long long j=1;j<=i;j++) brr+=abs(x[j]-xxx)*abs(y[j]-yyy);
                    if (brr>br) br=brr;
                }
            }
            cout<<br<<endl;
        }
    }
}